%global project   felix
%global bundle    org.apache.felix.log
Name:          felix-log
Version:       1.0.1
Release:       1%{?dist}
Summary:       Apache Felix Log Service
License:       ASL 2.0
URL:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildRequires: java-devel
BuildRequires: mvn(org.apache.felix:felix-parent)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

BuildRequires: maven-local
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-site-plugin

BuildArch:     noarch

%description
A simple implementation of the OSGi R4 Log service.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%pom_remove_plugin :rat-maven-plugin
sed -i "s|pom.artifactId|project.artifactId|" pom.xml
rm -r DEPENDENCIES
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-bundle-plugin']/pom:configuration/pom:instructions/pom:Include-Resource"

sed -i 's/\r//' doc/changelog.txt

%build

%mvn_file :%{bundle} %{project}/%{bundle}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE doc/changelog.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sun Oct 06 2013 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm